module Blkid
  module C

    FFI.typedef(:int64, :blkid_loff_t)

    class BlkIDProbe < FFI::Struct
      layout \
        :fd,          :int,
        :off,         :blkid_loff_t,
        :size,        :blkid_loff_t,
        :devno,       :dev_t,
        :disk_devno,  :dev_t,
        :blkssz,      :uint,
        :mode,        :mode_t,
        :flags,       :int,
        :prob_flags,  :int,
        :wipe_off,    :blkid_loff_t,
        :wipe_size,   :blkid_loff_t,
        :wipe_chain,  :pointer,
        #:buffers,     ListHead,
        #:chains,      [BlkIDChain, 3],
        :cur_chain,   :pointer,
        #:vals,        [BlkIDPrVal, 29],
        :nvals,       :int
    end

  end
end
